Subject: Re: Centralized processes in git

From: Steven Grimm <[email-masked]>
Date: Tue, 21 Aug 2007 08:40:37 +0800

Steven Grimm wrote:
> the repository-altering commands would grab a shared lock.

I guess that's a bit confusing -- what I mean to say is that the 
repository-altering commands that today do not lock the repository would 
grab a shared lock such that, in the absence of something else grabbing 
the exclusive lock, they will continue to effectively not lock the 
repository. IOW, by grabbing the shared lock they will continue to 
exhibit their current behavior under normal conditions.

-Steve